Package org.apache.commons.jxpath.ri.compiler

# Class Step

java.lang.Object
org.apache.commons.jxpath.ri.compiler.Step

public class Step extends Object
A step.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Step(int axis, NodeTest nodeTest, Expression[] predicates)`
  Constructs a new Step.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `axisToString(int axis)`
  Decode an axis code to its name.
  `int`
  `getAxis()`
  Gets the axis code.
  `NodeTest`
  `getNodeTest()`
  Gets the step test.
  `Expression[]`
  `getPredicates()`
  Gets the predicates.
  `boolean`
  `isContextDependent()`
  Tests whether this step contains any predicate that is context dependent.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Step

    protected Step(int axis, NodeTest nodeTest, Expression[] predicates)
    Constructs a new Step.
    Parameters:
      `axis` - axis code
      `nodeTest` - step test
      `predicates` - predicate expressions

- ## Method Details

  - ### axisToString

    public static String axisToString(int axis)
    Decode an axis code to its name.
    Parameters:
      `axis` - int code
    Returns:
      String name.
    See Also:
      - `Compiler`
      - "http://www.w3.org/TR/xpath#axes"

  - ### getAxis

    public int getAxis()
    Gets the axis code.
    Returns:
      int

  - ### getNodeTest

    public NodeTest getNodeTest()
    Gets the step test.
    Returns:
      NodeTest

  - ### getPredicates

    public Expression[] getPredicates()
    Gets the predicates.
    Returns:
      Expression[]

  - ### isContextDependent

    public boolean isContextDependent()
    Tests whether this step contains any predicate that is context dependent.
    Returns:
      boolean

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`